(function($) {
    $(document).ready(function() {
        var id;
        Galleria.loadTheme('/theme/site/base/js/galleria.twelve.min.js');
        $('div.galleria-twelve-gallery').each(function() {
            id = this.id;
            $('#'+this.id).galleria({
                dataConfig: function(img) {
                    return {
                      title: $(img).attr("alt"),
                      description: $(img).attr("title")
                    };
                },
                imageCrop: $('meta[name=imageCrop-' + id + ']').attr("content"),
                imagePosition: $('meta[name=imagePosition-' + id + ']').attr("content")
            });
        });
        function hide_title(e) {
          $('.galleria-info-title').hide();
        }

        function center_image_full(e) {
          Galleria.configure('imagePosition', 'center');
        }

        function full_exit_position(e) {
          Galleria.configure('imagePosition', $('meta[name=imagePosition-' + id + ']').attr("content"));
        }

        Galleria.on('image',hide_title);
        Galleria.on('fullscreen_enter', center_image_full);
        Galleria.on('fullscreen_exit', full_exit_position);
        Galleria.on('loadstart', hide_title);
        Galleria.on('loadfinish', hide_title);
    });
})(jQuery);
